#include "testApp.h"
#include "stdio.h"

//--------------------------------------------------------------
testApp::testApp(){
	
}

//--------------------------------------------------------------
void testApp::setup(){	 
	ofBackground(0,0,0);	
	
	frame = 0;
	
	player.loadMovie("movies/billyjean_640_480_65mb.mov");
	//player.setLoopState(0);
	
	IO = new dataIO();
	IO->load_data("wgt_data_v1.txt");
  	
	printf("There are %d frames total\n", IO->frame);

	scaleSmooth = 1;
	start = 0;
}

//--------------------------------------------------------------
void testApp::update(){

	//if(start == false){
	//	player.setPosition(0.0f);
	//}else{
		player.idleMovie();
		frame = (int)(player.getPosition() * 10059);
	//}
	
}

//--------------------------------------------------------------
void testApp::draw(){

	

	ofSetColor(0xFFFFFF);
	
	
	ofSetColor(0xffffff);	
	
	glScissor(0,ofGetHeight()-480,640,480);
	glEnable(GL_SCISSOR_TEST);
	if(IO->x_pts[frame]!=0 && IO->y_pts[frame]!=0){
		float scale = 100.0f / IO->w_pts[frame];
		scaleSmooth = 0.8f * scaleSmooth + 0.2f * scale;
		glScalef(scaleSmooth, scaleSmooth, 1);
		float midx = (320/scaleSmooth)-(IO->x_pts[frame] + IO->w_pts[frame]/2.0f);
		float midy = (240/scaleSmooth)-(IO->y_pts[frame] + IO->h_pts[frame]/2.0f);
		glTranslatef(midx, midy, 0);
		player.draw(0,0);
	}
	glDisable(GL_SCISSOR_TEST);
}

//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	if(key == 'x'){
		start =true;
	}
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
}

//--------------------------------------------------------------
void testApp::mouseReleased(){
}
